Data Class Reference

`#include <data.h>`

Collaboration diagram for Data:

## Public Member Functions

| Data ()
| Data (const Data &)
| Data (std::string)
| Data (std::vector< std::vector< double >>, std::string)
| ~Data ()
void | randSet (int N)
void | randSet (int N, double xa, double xb, double ya, double yb)
void | randSet (int N, int d, double mu)
void | add_value (std::vector< double >)
void | fromFile (std::string)
void | setData (std::vector< std::vector< double >>)
std::vector< std::vector< double > > | getData () const
void | setName (std::string)
std::string | getName () const
void | displayData ()
void | exportData ()
int | getCard () const
void | print () const

## Constructor & Destructor Documentation

## Data() [1/4]

Data::Data | ( |  | ) |

## Data() [2/4]

Data::Data | ( | const Data & | other | ) |

## Data() [3/4]

Data::Data | ( | std::string | name | ) |

## Data() [4/4]

Data::Data | ( | std::vector< std::vector< double >> | T,
|  | std::string | name
| ) |  |

## ~Data()

Data::~Data | ( |  | ) |

inline

## Member Function Documentation

## add_value()

void Data::add_value | ( | std::vector< double > | V | ) |

## displayData()

void Data::displayData | ( |  | ) |

## exportData()

void Data::exportData | ( |  | ) |

## fromFile()

void Data::fromFile | ( | std::string | filepath | ) |

## getCard()

int Data::getCard | ( |  | ) | const

## getData()

std::vector< std::vector< double > > Data::getData | ( |  | ) | const

## getName()

std::string Data::getName | ( |  | ) | const

## print()

void Data::print | ( |  | ) | const

## randSet() [1/3]

void Data::randSet | ( | int | N | ) |

## randSet() [2/3]

void Data::randSet | ( | int | N,
|  | double | xa,
|  | double | xb,
|  | double | ya,
|  | double | yb
| ) |  |

## randSet() [3/3]

void Data::randSet | ( | int | N,
|  | int | d,
|  | double | mu
| ) |  |

## setData()

void Data::setData | ( | std::vector< std::vector< double >> | T | ) |

## setName()

void Data::setName | ( | std::string | name | ) |

The documentation for this class was generated from the following files:

- data.h
- data.cpp